;;; Snd documentation index (generated by index.cl)

(define snd-names-and-urls #f)

(define (html obj)
  "(html arg) where arg can be a string, symbol, or procedure looks for a corresponding url \
and if one is found, and the Snd documentation can be found, calls (html-program) with that url"
  (letrec ((find-close-paren
	    (lambda (str)
	      (let loop ((pos 0)) ;from slib/strsrch.scm
		(cond
		 ((>= pos (string-length str)) #f)
		 ((char=? #\) (string-ref str pos)) pos)
		 ((char=? #\space (string-ref str pos)) pos)
		 (else (loop (+ 1 pos)))))))
	   
	   (find-url 
	    (lambda (n)
	      (letrec ((find-url-1   
			(lambda (n lst)
			  (if lst
			      (if (string=? n (car (car lst)))
				  (cadr (car lst))
				  (find-url-1 n (cdr lst)))))))
		(find-url-1 n snd-names-and-urls))))
	   
	   (goto-html
	    (lambda (n)
	      ;; look for doc on current dir, then html dir, then global dir
	      ;; snd.html is what we'll search for
	      (let ((dir (if (file-exists? "snd.html") 
			     (getcwd)
			     (if (and (string? (html-dir))
				      (file-exists? (string-append (html-dir) "/snd.html")))
				 (html-dir)
				 (if (file-exists? "/usr/share/doc/snd-6/snd.html")
				     "/usr/share/doc/snd-6"
				     (if (file-exists? "/usr/local/share/doc/snd-6/snd.html")
					 "/usr/local/share/doc/snd-6"
					 (if (file-exists? "/usr/doc/snd-6/snd.html")
					     "/usr/doc/snd-6"
					     #f)))))))
		(if dir
		    (if (or (string=? (html-program) "netscape")
			    (string=? (html-program) "mozilla"))
			(send-netscape (string-append dir "/" n)) ; definition in snd-gxutils.c
			(system (string-append (html-program) " file:" dir "/" n))))))))
    
    (let ((name (if (string? obj) 
		    obj
		    (if (symbol? obj) 
			(symbol->string obj)
			(let ((doc (if (procedure? obj)
				       (or (procedure-property obj 'documentation)
					   (procedure-documentation obj)
					   (object-property obj 'documentation))
				       (object-property obj 'documentation))))
			  (if (and (string? doc)
				   (char=? (string-ref doc 0) #\())
			      (let ((pos (find-close-paren doc)))
				(if pos
				    (substring doc 1 pos)
				    #f))))))))
      (if (and name (string? name))
	  (let ((url (find-url name)))
	    (if url 
		(goto-html url)
		(snd-print (format #f "no url for ~A?" name))))
	  (snd-print (format #f "no doc for ~A?" name))))))


(define (? obj)
  "(? obj) prints out any help it can find for obj, and tries to find obj in the docs via netscape"
  (let ((hlp (snd-help obj)))
    (if (string? hlp)
	(snd-print hlp))
    (html obj)))

#!
;;; this code reads an entire file and runs a regexp over it returning a list of matches:
;;;   but, I can't decide how to tie this into the help search mechanism in a useful way.
;;;   Based on guile's ice-9/regex.scm list-matches
;;;   (The original idea here was to mimic Google's sorted list of references, as in the
;;;   Mac OSX help dialog, but how to sort the list?)

(use-modules (ice-9 regex))
(define (match-list regexp file)
  ;; (match-list "[tT]racking [cC]ursor" "extsnd.html")
  (let* ((str (file->string file))      ; using undocumented procedure in snd-utils.c
					;  (I can't find a simple way to do this in Scheme)
	 (strlen (string-length str))
	 (reg (make-regexp regexp)))
    (let loop ((start 0)
	       (value '())
	       (abuts #f))
      (let ((m (if (> start strlen)
		   #f
		   (regexp-exec reg str start 0))))
	(if (not m)
	    (reverse value)
	    (if (and (= (match:start m) 
			(match:end m)) 
		     abuts)
		(loop (+ start 1) value #f)
		(loop (match:end m) (cons (list (match:substring m) (match:start m)) value) #t)))))))
!#

(set! snd-names-and-urls
  (list
    (list "abort" "extsnd.html#abort" "snd-xen.c")
    (list "add-comment" "extsnd.html#addcomment")
    (list "add-listener-popup" "sndscm.html#addlistenerpopup" "popup.scm")
    (list "add-mark" "extsnd.html#sndaddmark" "snd-marks.c")
    (list "add-mark (clm)" "clm.html#add-mark")
    (list "add-mark-pane" "sndscm.html#addmarkpane" "snd-motif.scm")
    (list "add-player" "extsnd.html#addplayer" "snd-dac.c")
    (list "add-region" "clm.html#add-region" "io.lisp")
    (list "add-selection-popup" "sndscm.html#addselectionpopup" "popup.scm")
    (list "add-sound-file-extension" "extsnd.html#addsoundfileextension" "snd-file.c")
    (list "add-to-main-menu" "extsnd.html#sndaddtomainmenu" "snd-menu.c")
    (list "add-to-menu" "extsnd.html#sndaddtomenu" "snd-menu.c")
    (list "add-transform" "extsnd.html#addtransform" "snd-fft.c")
    (list "after-apply-hook" "extsnd.html#afterapplyhook" "snd-snd.c")
    (list "after-edit-hook" "extsnd.html#afteredithook" "snd-chn.c")
    (list "after-graph-hook" "extsnd.html#aftergraphhook" "snd-chn.c")
    (list "after-open-hook" "extsnd.html#afteropenhook" "snd-xen.c")
    (list "after-save-state-hook" "extsnd.html#aftersavestatehook" "snd-main.c")
    (list "all-pass" "clm.html#all-pass" "clm2xen.c")
    (list "all-pass?" "clm.html#all-pass?" "clm2xen.c")
    (list "amp-control" "extsnd.html#sndamp" "snd-snd.c")
    (list "amplitude-modulate" "clm.html#amplitude-modulate" "clm2xen.c")
    (list "analyse-ladspa" "grfsnd.html#analyseladspa" "snd-ladspa.c")
    (list "append-to-minibuffer" "sndscm.html#sndappendtominibuffer" "snd6.scm")
    (list "apply-controls" "extsnd.html#applycontrols" "snd-snd.c")
    (list "apply-ladspa" "grfsnd.html#applyladspa" "snd-ladspa.c")
    (list "array->file" "clm.html#array-&gt;file" "clm2xen.c")
    (list "array-interp" "clm.html#array-interp" "clm2xen.c")
    (list "as-one-edit" "extsnd.html#asoneedit" "snd-edits.c")
    (list "ask-before-overwrite" "extsnd.html#askbeforeoverwrite" "snd-xen.c")
    (list "asymmetric-fm" "clm.html#asymmetric-fm" "clm2xen.c")
    (list "asymmetric-fm?" "clm.html#asymmetric-fm?" "clm2xen.c")
    (list "audio-input-device" "extsnd.html#audioinputdevice" "snd-xen.c")
    (list "audio-output-device" "extsnd.html#audiooutputdevice" "snd-xen.c")
    (list "auto-resize" "extsnd.html#autoresize" "snd-xen.c")
    (list "auto-save" "sndscm.html#exautosave" "autosave.scm")
    (list "auto-update" "extsnd.html#autoupdate" "snd-xen.c")
    (list "auto-update-interval" "extsnd.html#corruptiontime" "snd-xen.c")
    (list "autocorrelate" "extsnd.html#sndautocorrelate" "snd-fft.c")
    (list "axis-info" "extsnd.html#axisinfo" "snd-axis.c")
    (list "axis-label-font" "extsnd.html#axislabelfont" "snd-xen.c")
    (list "axis-numbers-font" "extsnd.html#axisnumbersfont" "snd-xen.c")
    (list "backward-graph" "extsnd.html#sndbackwardgraph" "snd-kbd.c")
    (list "backward-mark" "extsnd.html#sndbackwardmark" "snd-marks.c")
    (list "backward-mix" "extsnd.html#sndbackwardmix" "snd-mix.c")
    (list "bad-header-hook" "extsnd.html#badheaderhook" "snd-file.c")
    (list "basic-color" "extsnd.html#basiccolor" "snd-xen.c")
    (list "beats-per-minute" "extsnd.html#beatsperminute" "snd-chn.c")
    (list "before-apply-hook" "extsnd.html#beforeapplyhook" "snd-snd.c")
    (list "before-transform-hook" "extsnd.html#beforeffthook" "snd-fft.c")
    (list "bigbird" "sndscm.html#bigbird" "snd-test.scm")
    (list "bind-key" "extsnd.html#sndbindkey" "snd-kbd.c")
    (list "bold-button-font" "extsnd.html#boldbuttonfont" "snd-xen.c")
    (list "bold-peaks-font" "extsnd.html#boldpeaksfont" "snd-xen.c")
    (list "bomb" "extsnd.html#bomb" "snd-snd.c")
    (list "buffer->frame" "clm.html#buffer-&gt;frame" "clm2xen.c")
    (list "buffer->sample" "clm.html#buffer-&gt;sample" "clm2xen.c")
    (list "buffer-empty?" "clm.html#buffer-empty?" "clm2xen.c")
    (list "buffer-full?" "clm.html#buffer-full?" "clm2xen.c")
    (list "buffer?" "clm.html#buffer?" "clm2xen.c")
    (list "button-font" "extsnd.html#buttonfont" "snd-xen.c")
    (list "c-g!" "extsnd.html#sndoops" "snd-kbd.c")
    (list "c-g?" "extsnd.html#sndabort" "snd-xen.c")
    (list "call_in" "extsnd.html#callin")
    (list "change-menu-label" "extsnd.html#sndchangemenulabel" "snd-menu.c")
    (list "change-window-property" "extsnd.html#changeproperty" "snd-gxutils.c")
    (list "channel->vct" "extsnd.html#channel2vct" "snd-edits.c")
    (list "channel-amp-envs" "extsnd.html#channelampenvs" "snd-snd.c")
    (list "channel-data" "extsnd.html#channeldata" "snd-chn.c")
    (list "channel-envelope" "sndscm.html#channelenvelope" "enved.scm")
    (list "channel-properties" "extsnd.html#sndchannelproperties" "snd-chn.c")
    (list "channel-property" "sndscm.html#exchannelproperty" "draw.scm")
    (list "channel-style" "extsnd.html#channelstyle" "snd-snd.c")
    (list "channel-widgets" "extsnd.html#channelwidgets" "snd-gchn.c")
    (list "channels" "extsnd.html#channels" "snd-snd.c")
    (list "channels-separate" "extsnd.html#channelstyleconstants" "snd-snd.c")
    (list "chans" "extsnd.html#chans" "snd-snd.c")
    (list "check-for-unsaved-edits" "sndscm.html#exunsavededits" "extensions.scm")
    (list "clear-audio-inputs" "sndscm.html#sndclearaudioinputs" "snd6.scm")
    (list "clear-listener" "extsnd.html#sndclearlistener" "snd-listener.c")
    (list "*clm-array-print-length*" "clm.html#*clm-array-print-length*")
    (list "*clm-binary-directory*" "clm.html#*clm-binary-directory*")
    (list "clm-channel" "extsnd.html#clmchannel" "snd-sig.c")
    (list "*clm-channels*" "clm.html#*clm-channels*")
    (list "*clm-clipped*" "clm.html#*clm-clipped*")
    (list "*clm-data-format*" "clm.html#*clm-data-format*")
    (list "*clm-date*" "clm.html#*clm-date*")
    (list "*clm-delete-reverb*" "clm.html#*clm-delete-reverb*")
    (list "clm-envelope" "clm.html#clmenv" "clm-snd.lisp")
    (list "*clm-file-buffer-size*" "clm.html#*clm-file-buffer-size*")
    (list "*clm-file-name*" "clm.html#*clm-file-name*")
    (list "*clm-header-type*" "clm.html#*clm-header-type*")
    (list "clm-help" "clm.html#clm-help" "defins.lisp")
    (list "*clm-help-browser*" "clm.html#*clm-help-browser*")
    (list "*clm-init*" "clm.html#*clm-init*")
    (list "*clm-instruments*" "clm.html#*clm-instruments*")
    (list "clm-load" "clm.html#clm-load" "sound.lisp")
    (list "*clm-locsig-type*" "clm.html#*clm-locsig-type*")
    (list "*clm-news*" "clm.html#*clm-news*")
    (list "*clm-notehook*" "clm.html#*clm-notehook*")
    (list "*clm-play*" "clm.html#*clm-play*")
    (list "*clm-player*" "clm.html#*clm-player*")
    (list "clm-print" "clm.html#clm-print" "snd-xen.c")
    (list "clm-random" "clm.html#clm-random" "ffi.lisp")
    (list "*clm-safety*" "clm.html#*clm-safety*")
    (list "*clm-search-list*" "clm.html#*clm-search-list*")
    (list "*clm-source-directory*" "clm.html#*clm-source-directory*")
    (list "*clm-srate*" "clm.html#*clm-srate*")
    (list "*clm-table-size*" "clm.html#*clm-table-size*")
    (list "*clm-version*" "clm.html#*clm-version*")
    (list "clone-sound-as" "extsnd.html#clonesoundas" "snd-test.scm")
    (list "close-hook" "extsnd.html#closehook" "snd-file.c")
    (list "close-input" "clm.html#close-input" "io.lisp")
    (list "close-output" "clm.html#close-output" "io.lisp")
    (list "close-sound" "extsnd.html#sndclose" "snd-snd.c")
    (list "close-sound-file" "extsnd.html#sndclosesoundfile" "snd-xen.c")
    (list "color->list" "extsnd.html#color3list" "snd-gxen.c")
    (list "color-cutoff" "extsnd.html#colorcutoff" "snd-xen.c")
    (list "color-dialog" "extsnd.html#sndcolordialog" "snd-xen.c")
    (list "color-hook" "extsnd.html#colorhook" "snd-gdraw.c")
    (list "color-inverted" "extsnd.html#colorinverted" "snd-xen.c")
    (list "color-samples" "sndscm.html#colorsamples" "draw.scm")
    (list "color-scale" "extsnd.html#colorscale" "snd-xen.c")
    (list "color?" "extsnd.html#colorp" "snd-xen.c")
    (list "colormap" "extsnd.html#colormap" "snd-xen.c")
    (list "colormap-ref" "extsnd.html#colormapref" "snd-chn.c")
    (list "comb" "clm.html#comb" "clm2xen.c")
    (list "comb?" "clm.html#comb?" "clm2xen.c")
    (list "comment" "extsnd.html#sndcomment" "snd-snd.c")
    (list "compand-channel" "sndscm.html#excompandchannel" "examp.scm")
    (list "concatenate-envelopes" "sndscm.html#concatenateenvelopes" "env.scm")
    (list "continue-sample->file" "clm.html#continue-sample-&gt;file" "clm2xen.c")
    (list "contrast-control" "extsnd.html#sndcontrast" "snd-snd.c")
    (list "contrast-control-amp" "extsnd.html#sndcontrastamp" "snd-snd.c")
    (list "contrast-control?" "extsnd.html#sndcontrasting" "snd-snd.c")
    (list "contrast-enhancement" "clm.html#contrast-enhancement" "clm2xen.c")
    (list "convolution" "clm.html#convolution" "clm2xen.c")
    (list "convolve" "clm.html#convolve" "clm2xen.c")
    (list "convolve-files" "clm.html#convolvefiles" "clm2xen.c")
    (list "convolve-selection-with" "extsnd.html#sndconvolveselectionwith" "snd-sig.c")
    (list "convolve-with" "extsnd.html#sndconvolvewith" "snd-sig.c")
    (list "convolve?" "clm.html#convolve?" "clm2xen.c")
    (list "copy-context" "extsnd.html#copycontext" "snd-draw.c")
    (list "count-matches" "extsnd.html#lcountmatches" "snd-sig.c")
    (list "cross-synthesis" "sndscm.html#excrosssynthesis" "new-effects.scm")
    (list "current-edit-position" "extsnd.html#currenteditposition" "snd-edits.c")
    (list "current-font" "extsnd.html#currentfont" "snd-draw.c")
    (list "cursor" "extsnd.html#sndcursor" "snd-chn.c")
    (list "cursor-color" "extsnd.html#cursorcolor" "snd-xen.c")
    (list "cursor-context" "extsnd.html#cursorcontext" "snd-draw.c")
    (list "cursor-follows-play" "extsnd.html#sndcursorfollowsplay" "snd-snd.c")
    (list "cursor-in-view" "extsnd.html#cursorchoices" "snd-xen.c")
    (list "cursor-position" "extsnd.html#cursorposition" "snd-chn.c")
    (list "cursor-size" "extsnd.html#cursorsize" "snd-chn.c")
    (list "cursor-style" "extsnd.html#cursorstyle" "snd-chn.c")
    (list "dac" "clm.html#dac")
    (list "dac-combines-channels" "extsnd.html#dacfolding" "snd-dac.c")
    (list "dac-hook" "extsnd.html#dachook" "snd-dac.c")
    (list "dac-size" "extsnd.html#dacsize" "snd-dac.c")
    (list "data-clipped" "extsnd.html#dataclipped" "snd-xen.c")
    (list "data-color" "extsnd.html#datacolor" "snd-xen.c")
    (list "data-format" "extsnd.html#snddataformat" "snd-snd.c")
    (list "data-location" "extsnd.html#snddatalocation" "snd-snd.c")
    (list "data-size" "extsnd.html#snddatasize" "snd-snd.c")
    (list "db->linear" "clm.html#db-&gt;linear" "clm2xen.c")
    (list "def-clm-fun" "clm.html#def-clm-fun" "run.lisp")
    (list "def-clm-struct" "clm.html#def-clm-struct" "cmus.lisp")
    (list "default-output-chans" "extsnd.html#defaultoutputchans" "snd-xen.c")
    (list "default-output-format" "extsnd.html#defaultoutputformat" "snd-xen.c")
    (list "default-output-srate" "extsnd.html#defaultoutputsrate" "snd-xen.c")
    (list "default-output-type" "extsnd.html#defaultoutputtype" "snd-xen.c")
    (list "define-selection-via-marks" "sndscm.html#exdefineselectionviamarks" "marks.scm")
    (list "definstrument" "clm.html#definstrument" "bess1.scm")
    (list "defpinstrument" "clm.html#defpinstrument" "defins.lisp")
    (list "defvar" "extsnd.html#ldefvar")
    (list "degrees->radians" "clm.html#degrees-&gt;radians" "clm2xen.c")
    (list "delay" "clm.html#delay" "clm2xen.c")
    (list "delay?" "clm.html#delay?" "clm2xen.c")
    (list "delete-mark" "extsnd.html#snddeletemark" "snd-marks.c")
    (list "delete-marks" "extsnd.html#snddeletemarks" "snd-marks.c")
    (list "delete-mix" "sndscm.html#deletemix" "mix.scm")
    (list "delete-sample" "extsnd.html#snddeletesample" "snd-edits.c")
    (list "delete-samples" "extsnd.html#snddeletesamples" "snd-edits.c")
    (list "delete-selection" "extsnd.html#snddeleteselection" "snd-select.c")
    (list "delete-selection-and-smooth" "sndscm.html#exdeleteselectionandsmooth" "extensions.scm")
    (list "delete-track" "sndscm.html#deletetrack" "mix.scm")
    (list "describe-instrument" "clm.html#describe-instrument" "defins.lisp")
    (list "describe-mark" "sndscm.html#describemark" "marks.scm")
    (list "dialog-widgets" "extsnd.html#dialogwidgets" "snd-draw.c")
    (list "display-edits" "extsnd.html#snddisplayedits" "snd-edits.c")
    (list "dlocsig" "clm.html#dlocsig")
    (list "dot-product" "clm.html#dot-product" "clm2xen.c")
    (list "dot-size" "extsnd.html#dotsize" "snd-chn.c")
    (list "draw-axes" "extsnd.html#drawaxes" "snd-axis.c")
    (list "draw-dot" "extsnd.html#drawdot" "snd-draw.c")
    (list "draw-dots" "extsnd.html#drawdots" "snd-draw.c")
    (list "draw-line" "extsnd.html#drawline" "snd-draw.c")
    (list "draw-lines" "extsnd.html#drawlines" "snd-draw.c")
    (list "draw-mark-hook" "extsnd.html#drawmarkhook" "snd-marks.c")
    (list "draw-string" "extsnd.html#drawstring" "snd-draw.c")
    (list "drop-hook" "extsnd.html#drophook" "snd-gdrop.c")
    (list "during-open-hook" "extsnd.html#duringopenhook" "snd-xen.c")
    (list "edit-fragment" "extsnd.html#sndeditfragment" "snd-edits.c")
    (list "edit-header-dialog" "extsnd.html#sndeditheaderdialog" "snd-xen.c")
    (list "edit-hook" "extsnd.html#edithook" "snd-chn.c")
    (list "edit-position" "extsnd.html#sndeditposition" "snd-chn.c")
    (list "edit-save-as-dialog" "extsnd.html#sndeditsaveasdialog" "snd-xen.c")
    (list "edit-tree" "extsnd.html#sndedittree" "snd-edits.c")
    (list "edits" "extsnd.html#sndedits" "snd-chn.c")
    (list "emacs-style-save-as" "extsnd.html#emacssytlesaveas" "snd-xen.c")
    (list "env" "clm.html#env" "clm2xen.c")
    (list "env-channel" "extsnd.html#envchannel" "snd-sig.c")
    (list "env-interp" "clm.html#env-interp" "clm2xen.c")
    (list "env-selection" "extsnd.html#sndenvselection" "snd-sig.c")
    (list "env-sound" "extsnd.html#sndenv" "snd-sig.c")
    (list "env-sound-interp" "sndscm.html#exenvsoundinterp" "examp.scm")
    (list "env-track" "sndscm.html#envtrack" "mix.scm")
    (list "env?" "clm.html#env?" "clm2xen.c")
    (list "enved-active-env" "extsnd.html#envedactiveenv" "snd-genv.c")
    (list "enved-base" "extsnd.html#envedbase" "snd-env.c")
    (list "enved-clip?" "extsnd.html#envedclipping" "snd-env.c")
    (list "enved-dialog" "extsnd.html#sndenveddialog" "snd-env.c")
    (list "enved-exp?" "extsnd.html#envedexping" "snd-env.c")
    (list "enved-filter" "extsnd.html#filterenv" "snd-genv.c")
    (list "enved-filter-order" "extsnd.html#filterenvorder" "snd-env.c")
    (list "enved-hook" "extsnd.html#envedhook" "snd-env.c")
    (list "enved-in-dB" "extsnd.html#envedin-dB" "snd-env.c")
    (list "enved-power" "extsnd.html#envedpower" "snd-env.c")
    (list "enved-selected-env" "extsnd.html#envedselectedenv" "snd-genv.c")
    (list "enved-target" "extsnd.html#envedtarget" "snd-env.c")
    (list "enved-wave?" "extsnd.html#envedwaving" "snd-env.c")
    (list "enved-waveform-color" "extsnd.html#envedwaveformcolor" "snd-xen.c")
    (list "envelope->coeffs" "clm.html#envelope-&gt;coeffs" "env.lisp")
    (list "envelope-exp" "clm.html#envelope-exp" "env.scm")
    (list "envelope-interp" "clm.html#envelope-interp" "env.scm")
    (list "enveloped-mix" "sndscm.html#exenvelopedmix" "extensions.scm")
    (list "eps-bottom-margin" "extsnd.html#epsbottommargin" "snd-print.c")
    (list "eps-file" "extsnd.html#epsfile" "snd-print.c")
    (list "eps-left-margin" "extsnd.html#epsleftmargin" "snd-print.c")
    (list "eps-size" "extsnd.html#epssize" "snd-print.c")
    (list "equalize-panes" "extsnd.html#sndequalizepanes" "snd-xen.c")
    (list "eval-between-marks" "sndscm.html#exevalbetweenmarks" "marks.scm")
    (list "eval-over-selection" "sndscm.html#exevaloverselection" "extensions.scm")
    (list "every-sample?" "sndscm.html#exeverysample" "examp.scm")
    (list "exit" "extsnd.html#sndexit" "snd-main.c")
    (list "exit-hook" "extsnd.html#exithook" "snd-main.c")
    (list "expand-control" "extsnd.html#sndexpand" "snd-snd.c")
    (list "expand-control-hop" "extsnd.html#sndexpandhop" "snd-snd.c")
    (list "expand-control-length" "extsnd.html#sndexpandlength" "snd-snd.c")
    (list "expand-control-ramp" "extsnd.html#sndexpandramp" "snd-snd.c")
    (list "expand-control?" "extsnd.html#sndexpanding" "snd-snd.c")
    (list "explode-sf2" "sndscm.html#exexplodesf2" "examp.scm")
    (list "fft" "extsnd.html#sndfft" "snd-sig.c")
    (list "fft (clm)" "clm.html#fft")
    (list "fft-edit" "sndscm.html#exfftedit" "examp.scm")
    (list "fft-log-frequency" "extsnd.html#fftlogfrequency" "snd-chn.c")
    (list "fft-log-magnitude" "extsnd.html#fftlogmagnitude" "snd-chn.c")
    (list "fft-squelch" "sndscm.html#exfftsquelch" "examp.scm")
    (list "fft-window" "extsnd.html#lfftwindow" "snd-chn.c")
    (list "fft-window-beta" "extsnd.html#fftbeta" "snd-chn.c")
    (list "file->array" "clm.html#file-&gt;array" "clm2xen.c")
    (list "file->frame" "clm.html#file-&gt;frame" "clm2xen.c")
    (list "file->frame?" "clm.html#file-&gt;frame?" "clm2xen.c")
    (list "file->sample" "clm.html#file-&gt;sample" "clm2xen.c")
    (list "file->sample?" "clm.html#file-&gt;sample?" "clm2xen.c")
    (list "file-dialog" "extsnd.html#sndfiledialog" "snd-xen.c")
    (list "file-name" "extsnd.html#sndfilename" "snd-snd.c")
    (list "file-save-as-dialog" "extsnd.html#sndfilesaveasdialog" "snd-xen.c")
    (list "fill-polygon" "extsnd.html#fillpolygon" "snd-draw.c")
    (list "fill-rectangle" "extsnd.html#fillrectangle" "snd-draw.c")
    (list "filter" "clm.html#filter" "clm2xen.c")
    (list "filter-control-coeffs" "extsnd.html#sndfiltercoeffs" "snd-snd.c")
    (list "filter-control-env" "extsnd.html#sndfilterenv" "snd-snd.c")
    (list "filter-control-in-dB" "extsnd.html#sndfilterdbing" "snd-snd.c")
    (list "filter-control-order" "extsnd.html#sndfilterorder" "snd-snd.c")
    (list "filter-control?" "extsnd.html#sndfiltering" "snd-snd.c")
    (list "filter-env-in-hz" "extsnd.html#filterenvinhz" "snd-xen.c")
    (list "filter-selection" "extsnd.html#sndfilterselection" "snd-sig.c")
    (list "filter-sound" "extsnd.html#sndfilter" "snd-sig.c")
    (list "filter-track" "sndscm.html#filtertrack" "mix.scm")
    (list "filter-waveform-color" "extsnd.html#filterwaveformcolor" "snd-xen.c")
    (list "filter?" "clm.html#filter?" "clm2xen.c")
    (list "find" "extsnd.html#lfind" "snd-sig.c")
    (list "find-mark" "extsnd.html#sndfindmark" "snd-marks.c")
    (list "find-mix" "extsnd.html#sndfindmix" "snd-mix.c")
    (list "find-sound" "extsnd.html#sndfindsound" "snd-snd.c")
    (list "finish-progress-report" "extsnd.html#finishprogressreport" "snd-snd.c")
    (list "fir-filter" "clm.html#fir-filter" "clm2xen.c")
    (list "fir-filter?" "clm.html#fir-filter?" "clm2xen.c")
    (list "focus-widget" "extsnd.html#focuswidget" "snd-draw.c")
    (list "for-each-child" "sndscm.html#foreachchild" "edit-menu.scm")
    (list "for-each-sound-file" "sndscm.html#exforeachsoundfile" "extensions.scm")
    (list "foreground-color" "extsnd.html#foregroundcolor" "snd-draw.c")
    (list "forget-region" "extsnd.html#forgetregion" "snd-region.c")
    (list "formant" "clm.html#formant" "clm2xen.c")
    (list "formant-bank" "grfsnd.html#formantbank" "clm2xen.c")
    (list "formant?" "clm.html#formant?" "clm2xen.c")
    (list "forward-graph" "extsnd.html#sndforwardgraph" "snd-kbd.c")
    (list "forward-mark" "extsnd.html#sndforwardmark" "snd-marks.c")
    (list "forward-mix" "extsnd.html#sndforwardmix" "snd-mix.c")
    (list "fourier-transform" "extsnd.html#fouriertransform" "snd-fft.c")
    (list "frame*" "clm.html#frame*")
    (list "frame+" "clm.html#frame+" "clm2xen.c")
    (list "frame->buffer" "clm.html#frame-&gt;buffer" "clm2xen.c")
    (list "frame->file" "clm.html#frame-&gt;file" "clm2xen.c")
    (list "frame->file?" "clm.html#frame-&gt;file?" "clm2xen.c")
    (list "frame->frame" "clm.html#frame-&gt;frame" "clm2xen.c")
    (list "frame->list" "clm.html#frame-&gt;list" "clm2xen.c")
    (list "frame->sample" "clm.html#frame-&gt;sample" "clm2xen.c")
    (list "frame-ref" "clm.html#frame-ref" "clm2xen.c")
    (list "frame-set!" "clm.html#frame-set!" "clm2xen.c")
    (list "frame?" "clm.html#frame?" "clm2xen.c")
    (list "frames" "extsnd.html#sndframes" "snd-chn.c")
    (list "free-mix-sample-reader" "extsnd.html#freemixsamplereader" "snd-mix.c")
    (list "free-sample-reader" "extsnd.html#freesamplereader" "snd-edits.c")
    (list "free-track-sample-reader" "extsnd.html#freetracksamplereader" "snd-mix.c")
    (list "glSpectrogram" "extsnd.html#glspectrogram" "snd-chn.c")
    (list "granulate" "clm.html#granulate" "clm2xen.c")
    (list "granulate?" "clm.html#granulate?" "clm2xen.c")
    (list "graph" "extsnd.html#sndgraph" "snd-chn.c")
    (list "graph->ps" "extsnd.html#sndgraph2ps" "snd-print.c")
    (list "graph-color" "extsnd.html#graphcolor" "snd-xen.c")
    (list "graph-cursor" "extsnd.html#graphcursor" "snd-gxen.c")
    (list "graph-data" "extsnd.html#graphdata" "snd-draw.c")
    (list "graph-hook" "extsnd.html#graphhook" "snd-chn.c")
    (list "graph-lines" "extsnd.html#graphlines" "snd-chn.c")
    (list "graph-style" "extsnd.html#graphstyle" "snd-chn.c")
    (list "graphs-horizontal" "extsnd.html#graphshorizontal" "snd-chn.c")
    (list "header-type" "extsnd.html#sndheadertype" "snd-snd.c")
    (list "help-dialog" "extsnd.html#sndhelpdialog" "snd-xen.c")
    (list "help-hook" "extsnd.html#helphook")
    (list "help-text-font" "extsnd.html#helptextfont" "snd-xen.c")
    (list "hide-widget" "extsnd.html#hidewidget" "snd-draw.c")
    (list "highlight-color" "extsnd.html#highlightcolor" "snd-xen.c")
    (list "html-dir" "extsnd.html#htmldir" "snd-help.c")
    (list "html-program" "extsnd.html#htmlprogram" "snd-help.c")
    (list "hz->radians" "clm.html#hz-&gt;radians" "clm2xen.c")
    (list "iir-filter" "clm.html#iir-filter" "clm2xen.c")
    (list "iir-filter?" "clm.html#iir-filter?" "clm2xen.c")
    (list "in" "extsnd.html#gin" "snd-gxen.c")
    (list "in-any" "clm.html#in-any" "clm2xen.c")
    (list "in-hz" "grfsnd.html#inhz" "clm2xen.c")
    (list "ina" "clm.html#ina" "clm2xen.c")
    (list "inb" "clm.html#inb" "clm2xen.c")
    (list "init-ladspa" "grfsnd.html#initladspa" "snd-ladspa.c")
    (list "initial-graph-hook" "extsnd.html#initialgraphhook" "snd-chn.c")
    (list "*input*" "clm.html#*input*")
    (list "ins-var" "clm.html#ins-var" "defins.lisp")
    (list "insert-channel" "sndscm.html#insertchannel" "extensions.scm")
    (list "insert-region" "extsnd.html#sndinsertregion" "snd-region.c")
    (list "insert-sample" "extsnd.html#sndinsertsample" "snd-edits.c")
    (list "insert-samples" "extsnd.html#sndinsertsamples" "snd-edits.c")
    (list "insert-selection" "extsnd.html#sndinsertselection" "snd-select.c")
    (list "insert-silence" "extsnd.html#sndinsertsilence" "snd-sig.c")
    (list "insert-sound" "extsnd.html#sndinsertfile" "snd-edits.c")
    (list "inspect-sample-reader" "extsnd.html#inspectsamplereader")
    (list "instrument-let" "clm.html#instrument-let" "defins.lisp")
    (list "just-sounds" "extsnd.html#justsounds" "snd-gfile.c")
    (list "just-sounds-hook" "extsnd.html#justsoundshook" "snd-file.c")
    (list "key" "extsnd.html#sndkey" "snd-kbd.c")
    (list "key-binding" "extsnd.html#keybinding" "snd-kbd.c")
    (list "key-press-hook" "extsnd.html#keypresshook" "snd-chn.c")
    (list "ladspa-dir" "extsnd.html#ladspadir" "snd-xen.c")
    (list "left-sample" "extsnd.html#sndleftsample" "snd-chn.c")
    (list "linear->db" "clm.html#linear-&gt;db" "clm2xen.c")
    (list "linux-help" "clm.html#linux-help" "defins.lisp")
    (list "lisp-graph-hook" "extsnd.html#lispgraphhook" "snd-chn.c")
    (list "lisp-graph-style" "extsnd.html#lispgraphstyle" "snd-chn.c")
    (list "lisp-graph?" "extsnd.html#sndgraphing" "snd-chn.c")
    (list "list->vct" "extsnd.html#sndlist2vct" "vct.c")
    (list "list-ladspa" "grfsnd.html#listladspa" "snd-ladspa.c")
    (list "listener-click-hook" "extsnd.html#listenerclickhook" "snd-glistener.c")
    (list "listener-color" "extsnd.html#listenercolor" "snd-xen.c")
    (list "listener-font" "extsnd.html#listenerfont" "snd-xen.c")
    (list "listener-prompt" "extsnd.html#listenerprompt" "snd-listener.c")
    (list "listener-selection" "extsnd.html#listenerselection" "snd-glistener.c")
    (list "listener-text-color" "extsnd.html#listenertextcolor" "snd-xen.c")
    (list "load-font" "extsnd.html#loadfont" "snd-draw.c")
    (list "locsig" "clm.html#locsig" "clm2xen.c")
    (list "locsig-ref" "clm.html#locsig-ref" "clm2xen.c")
    (list "locsig-reverb-ref" "clm.html#locsig-reverb-ref" "clm2xen.c")
    (list "locsig-reverb-set!" "clm.html#locsig-reverb-set!" "clm2xen.c")
    (list "locsig-set!" "clm.html#locsig-set!" "clm2xen.c")
    (list "locsig?" "clm.html#locsig?" "clm2xen.c")
    (list "main-menu" "extsnd.html#mainmenu" "snd-menu.c")
    (list "main-widgets" "extsnd.html#mainwidgets" "snd-draw.c")
    (list "make-all-pass" "clm.html#make-all-pass" "clm2xen.c")
    (list "make-asymmetric-fm" "clm.html#make-asymmetric-fm" "clm2xen.c")
    (list "make-bandpass" "sndscm.html#makebandpass" "dsp.scm")
    (list "make-bandstop" "sndscm.html#makebandstop" "dsp.scm")
    (list "make-biquad" "sndscm.html#makebiquad" "dsp.scm")
    (list "make-buffer" "clm.html#make-buffer" "clm2xen.c")
    (list "make-color" "extsnd.html#makecolor" "snd-gxen.c")
    (list "make-comb" "clm.html#make-comb" "clm2xen.c")
    (list "make-convolve" "clm.html#make-convolve" "clm2xen.c")
    (list "make-delay" "clm.html#make-delay" "clm2xen.c")
    (list "make-differentiator" "sndscm.html#makedifferentiator" "dsp.scm")
    (list "make-env" "clm.html#make-env" "clm2xen.c")
    (list "make-fft-window" "clm.html#make-fft-window" "clm2xen.c")
    (list "make-file->frame" "clm.html#make-file-&gt;frame" "clm2xen.c")
    (list "make-file->sample" "clm.html#make-file-&gt;sample" "clm2xen.c")
    (list "make-filter" "clm.html#make-filter" "clm2xen.c")
    (list "make-fir-filter" "clm.html#make-fir-filter" "clm2xen.c")
    (list "make-formant" "clm.html#make-formant" "clm2xen.c")
    (list "make-frame" "clm.html#make-frame" "clm2xen.c")
    (list "make-frame->file" "clm.html#make-frame-&gt;file" "clm2xen.c")
    (list "make-granulate" "clm.html#make-granulate" "clm2xen.c")
    (list "make-graph-data" "extsnd.html#makegraphdata" "snd-draw.c")
    (list "make-highpass" "sndscm.html#makehighpass" "dsp.scm")
    (list "make-hilbert-transform" "sndscm.html#makehilberttransform" "dsp.scm")
    (list "make-identity-mixer" "clm.html#make-identity-mixer" "mus.lisp")
    (list "make-iir-filter" "clm.html#make-iir-filter" "clm2xen.c")
    (list "make-locsig" "clm.html#make-locsig" "clm2xen.c")
    (list "make-lowpass" "sndscm.html#makelowpass" "dsp.scm")
    (list "make-mix-sample-reader" "extsnd.html#makemixsamplereader" "snd-mix.c")
    (list "make-mixer" "clm.html#make-mixer" "clm2xen.c")
    (list "make-notch" "clm.html#make-notch" "clm2xen.c")
    (list "make-one-pole" "clm.html#make-one-pole" "clm2xen.c")
    (list "make-one-zero" "clm.html#make-one-zero" "clm2xen.c")
    (list "make-oscil" "clm.html#make-oscil" "clm2xen.c")
    (list "make-phase-vocoder" "clm.html#make-phase-vocoder" "clm2xen.c")
    (list "make-player" "extsnd.html#makeplayer" "snd-dac.c")
    (list "make-ppolar" "clm.html#make-ppolar" "clm2xen.c")
    (list "make-pulse-train" "clm.html#make-pulse-train" "clm2xen.c")
    (list "make-rand" "clm.html#make-rand" "clm2xen.c")
    (list "make-rand-interp" "clm.html#make-rand-interp" "clm2xen.c")
    (list "make-readin" "clm.html#make-readin" "clm2xen.c")
    (list "make-region" "extsnd.html#sndmakeregion" "snd-region.c")
    (list "make-region-sample-reader" "extsnd.html#makeregionsamplereader" "snd-edits.c")
    (list "make-sample->file" "clm.html#make-sample-&gt;file" "clm2xen.c")
    (list "make-sample-reader" "extsnd.html#makesamplereader" "snd-edits.c")
    (list "make-sawtooth-wave" "clm.html#make-sawtooth-wave" "clm2xen.c")
    (list "make-selection" "sndscm.html#exmakeselection" "extensions.scm")
    (list "make-sine-summation" "clm.html#make-sine-summation" "clm2xen.c")
    (list "make-sound-box" "sndscm.html#makesoundbox" "snd-motif.scm")
    (list "make-sound-data" "extsnd.html#makesounddata" "sndlib2xen.c")
    (list "make-square-wave" "clm.html#make-square-wave" "clm2xen.c")
    (list "make-src" "clm.html#make-src" "clm2xen.c")
    (list "make-sum-of-cosines" "clm.html#make-sum-of-cosines" "clm2xen.c")
    (list "make-table-lookup" "clm.html#make-table-lookup" "clm2xen.c")
    (list "make-track" "sndscm.html#maketrack" "mix.scm")
    (list "make-track-sample-reader" "extsnd.html#maketracksamplereader" "snd-mix.c")
    (list "make-triangle-wave" "clm.html#make-triangle-wave" "clm2xen.c")
    (list "make-two-pole" "clm.html#make-two-pole" "clm2xen.c")
    (list "make-two-zero" "clm.html#make-two-zero" "clm2xen.c")
    (list "make-variable-display" "sndscm.html#makevariabledisplay" "snd-gtk.scm")
    (list "make-variable-graph" "extsnd.html#makevariablegraph" "snd-chn.c")
    (list "make-vct" "extsnd.html#makevct" "vct.c")
    (list "make-wave-train" "clm.html#make-wave-train" "clm2xen.c")
    (list "make-waveshape" "clm.html#make-waveshape" "clm2xen.c")
    (list "make-zpolar" "clm.html#make-zpolar" "clm2xen.c")
    (list "map-chan" "extsnd.html#mapchan" "snd-sig.c")
    (list "map-channel" "extsnd.html#mapchannel" "snd-sig.c")
    (list "map-sound-files" "sndscm.html#exmapsoundfiles" "extensions.scm")
    (list "mark-click-hook" "extsnd.html#markclickhook" "snd-chn.c")
    (list "mark-color" "extsnd.html#markcolor" "snd-xen.c")
    (list "mark-context" "extsnd.html#markcontext" "snd-draw.c")
    (list "mark-drag-hook" "extsnd.html#markdraghook" "snd-marks.c")
    (list "mark-drag-triangle-hook" "extsnd.html#markdragtrianglehook" "snd-chn.c")
    (list "mark-explode" "sndscm.html#exmarkexplode" "marks.scm")
    (list "mark-home" "extsnd.html#markhome" "snd-marks.c")
    (list "mark-hook" "extsnd.html#markhook" "snd-marks.c")
    (list "mark-loops" "sndscm.html#exmarkloops" "examp.scm")
    (list "mark-name" "extsnd.html#sndmarkname" "snd-marks.c")
    (list "mark-name->id" "sndscm.html#markname2id" "marks.scm")
    (list "mark-property" "sndscm.html#markproperty" "marks.scm")
    (list "mark-sample" "extsnd.html#sndmarksample" "snd-marks.c")
    (list "mark-sync" "extsnd.html#sndmarksync" "snd-marks.c")
    (list "mark-sync-max" "extsnd.html#sndmarksyncmax" "snd-marks.c")
    (list "mark?" "extsnd.html#sndmarkok" "snd-marks.c")
    (list "marks" "extsnd.html#emarks" "snd-marks.c")
    (list "match-sound-files" "sndscm.html#exmatchsoundfiles" "extensions.scm")
    (list "max-envelope" "sndscm.html#maxenvelope" "env.scm")
    (list "max-regions" "extsnd.html#maxregions" "snd-region.c")
    (list "max-transform-peaks" "extsnd.html#maxfftpeaks" "snd-chn.c")
    (list "maxamp" "extsnd.html#sndmaxamp" "snd-chn.c")
    (list "memo-sound" "extsnd.html#memosound")
    (list "menu-hook" "extsnd.html#menuhook" "snd-gmenu.c")
    (list "menu-sensitive" "extsnd.html#menusensitive" "snd-menu.c")
    (list "menu-widgets" "extsnd.html#menuwidgets" "snd-gmenu.c")
    (list "min-dB" "extsnd.html#mindb" "snd-chn.c")
    (list "minibuffer-history-length" "extsnd.html#minibufferhistorylength" "snd-xen.c")
    (list "mix" "extsnd.html#sndmix" "snd-mix.c")
    (list "mix (clm)" "clm.html#mix")
    (list "mix->vct" "sndscm.html#mix2vct" "mix.scm")
    (list "mix-amp" "extsnd.html#sndmixamp" "snd-mix.c")
    (list "mix-amp-changed-hook" "extsnd.html#mixampchangedhook" "snd-mix.c")
    (list "mix-amp-env" "extsnd.html#sndmixampenv" "snd-mix.c")
    (list "mix-anchor" "extsnd.html#sndmixanchor" "snd-mix.c")
    (list "mix-channel" "sndscm.html#mixchannel" "extensions.scm")
    (list "mix-chans" "extsnd.html#sndmixchans" "snd-mix.c")
    (list "mix-click-hook" "extsnd.html#mixclickhook" "snd-chn.c")
    (list "mix-color" "extsnd.html#mixcolor" "snd-mix.c")
    (list "mix-drag-hook" "extsnd.html#mixdraghook" "snd-mix.c")
    (list "mix-dragged-hook" "extsnd.html#mixdraggedhook" "snd-mix.c")
    (list "mix-file-dialog" "extsnd.html#sndmixfiledialog" "snd-file.c")
    (list "mix-frames" "extsnd.html#sndmixframes" "snd-mix.c")
    (list "mix-home" "extsnd.html#sndmixhome" "snd-mix.c")
    (list "mix-locked" "extsnd.html#sndmixlocked" "snd-mix.c")
    (list "mix-panel" "extsnd.html#sndmixpanel" "snd-xen.c")
    (list "mix-position" "extsnd.html#sndmixposition" "snd-mix.c")
    (list "mix-property" "sndscm.html#mixproperty" "mix.scm")
    (list "mix-region" "extsnd.html#sndmixregion" "snd-region.c")
    (list "mix-sample-reader?" "extsnd.html#mixsamplereaderQ" "snd-mix.c")
    (list "mix-selection" "extsnd.html#sndmixselection" "snd-select.c")
    (list "mix-sound" "sndscm.html#mixsound" "snd-mix.c")
    (list "mix-speed" "extsnd.html#sndmixspeed" "snd-mix.c")
    (list "mix-speed-changed-hook" "extsnd.html#mixspeedchangedhook" "snd-mix.c")
    (list "mix-tag-height" "extsnd.html#sndmixtagheighth" "snd-mix.c")
    (list "mix-tag-width" "extsnd.html#sndmixtagwidth" "snd-mix.c")
    (list "mix-tag-y" "extsnd.html#sndmixtagy" "snd-mix.c")
    (list "mix-track" "extsnd.html#sndmixtrack" "snd-mix.c")
    (list "mix-vct" "extsnd.html#sndmixvct" "snd-mix.c")
    (list "mix-waveform-height" "extsnd.html#mixwaveformheight" "snd-mix.c")
    (list "mix?" "extsnd.html#sndmixok" "snd-mix.c")
    (list "mixer*" "clm.html#mixer*")
    (list "mixer-ref" "clm.html#mixer-ref" "clm2xen.c")
    (list "mixer-set!" "clm.html#mixer-set!" "clm2xen.c")
    (list "mixer?" "clm.html#mixer?" "clm2xen.c")
    (list "mixes" "extsnd.html#mixes" "snd-mix.c")
    (list "moog-filter" "sndscm.html#moogfilter" "moog.scm")
    (list "mouse-click-hook" "extsnd.html#mouseclickhook" "snd-chn.c")
    (list "mouse-drag-hook" "extsnd.html#mousedraghook" "snd-chn.c")
    (list "mouse-enter-graph-hook" "extsnd.html#mouseentergraphhook" "snd-gchn.c")
    (list "mouse-enter-label-hook" "extsnd.html#mouseenterlabelhook")
    (list "mouse-enter-listener-hook" "extsnd.html#mouseenterlistenerhook" "snd-glistener.c")
    (list "mouse-enter-text-hook" "extsnd.html#mouseentertexthook" "snd-glistener.c")
    (list "mouse-leave-graph-hook" "extsnd.html#mouseleavegraphhook" "snd-gchn.c")
    (list "mouse-leave-label-hook" "extsnd.html#mouseleavelabelhook")
    (list "mouse-leave-listener-hook" "extsnd.html#mousleavelistenerhook" "snd-glistener.c")
    (list "mouse-leave-text-hook" "extsnd.html#mousleavetexthook" "snd-glistener.c")
    (list "mouse-press-hook" "extsnd.html#mousepresshook" "snd-chn.c")
    (list "mouse-release-hook" "extsnd.html#mousereleasehook" "snd-chn.c")
    (list "move-locsig" "clm.html#move-locsig" "clm2xen.c")
    (list "mpg" "sndscm.html#exmpg" "examp.scm")
    (list "multichannel-mix-hook" "extsnd.html#multichannelmixhook" "snd-mix.c")
    (list "multiply-arrays" "clm.html#multiply-arrays" "clm2xen.c")
    (list "mus-a0" "clm.html#mus-a0" "clm2xen.c")
    (list "mus-a1" "clm.html#mus-a1" "clm2xen.c")
    (list "mus-a2" "clm.html#mus-a2" "clm2xen.c")
    (list "mus-aifc" "clm.html#mus-aifc" "sndlib2xen.c")
    (list "mus-aiff" "clm.html#mus-aiff" "sndlib2xen.c")
    (list "mus-array-print-length" "grfsnd.html#musarrayprintlength" "clm2xen.c")
    (list "mus-audio-close" "extsnd.html#musaudioclose" "sndlib2xen.c")
    (list "mus-audio-describe" "extsnd.html#describeaudiostate" "snd-xen.c")
    (list "mus-audio-error" "extsnd.html#audioerror")
    (list "mus-audio-error-name" "extsnd.html#audioerror-name")
    (list "mus-audio-mixer-read" "extsnd.html#musaudiomixerread" "sndlib2xen.c")
    (list "mus-audio-mixer-write" "extsnd.html#musaudiomixerwrite" "sndlib2xen.c")
    (list "mus-audio-open-input" "extsnd.html#musaudioopeninput" "sndlib2xen.c")
    (list "mus-audio-open-output" "extsnd.html#musaudioopenoutput" "sndlib2xen.c")
    (list "mus-audio-read" "extsnd.html#musaudioread" "sndlib2xen.c")
    (list "mus-audio-restore" "extsnd.html#musaudiorestore" "sndlib2xen.c")
    (list "mus-audio-save" "extsnd.html#musaudiosave" "sndlib2xen.c")
    (list "mus-audio-set-oss-buffers" "extsnd.html#setossbuffers" "sndlib2xen.c")
    (list "mus-audio-write" "extsnd.html#musaudiowrite" "sndlib2xen.c")
    (list "mus-b1" "clm.html#mus-b1" "clm2xen.c")
    (list "mus-b2" "clm.html#mus-b2" "clm2xen.c")
    (list "mus-bank" "clm.html#musbank" "clm2xen.c")
    (list "mus-bshort" "clm.html#mus-bshort" "sndlib2xen.c")
    (list "mus-channel" "clm.html#mus-channel" "clm2xen.c")
    (list "mus-channels" "clm.html#mus-channels" "clm2xen.c")
    (list "mus-close" "clm.html#mus-close" "clm2xen.c")
    (list "mus-cosines" "clm.html#mus-cosines" "clm2xen.c")
    (list "mus-create" "clm.html#mus-create" "ffi.lisp")
    (list "mus-data" "clm.html#mus-data" "clm2xen.c")
    (list "mus-data-format-name" "extsnd.html#soundformatname" "sndlib2xen.c")
    (list "mus-error-hook" "extsnd.html#muserrorhook" "snd.c")
    (list "mus-expand-filename" "extsnd.html#musexpandfilename" "sndlib2xen.c")
    (list "mus-feedback" "clm.html#mus-feedback" "clm2xen.c")
    (list "mus-feedforward" "clm.html#mus-feedforward" "clm2xen.c")
    (list "mus-file-buffer-size" "grfsnd.html#musfilebuffersize" "clm2xen.c")
    (list "mus-file-name" "clm.html#mus-file-name" "clm2xen.c")
    (list "mus-file-prescaler" "extsnd.html#musfileprescaler" "sndlib2xen.c")
    (list "mus-formant-radius" "clm.html#mus-formant-radius" "clm2xen.c")
    (list "mus-frequency" "clm.html#mus-frequency" "clm2xen.c")
    (list "mus-header-type-name" "extsnd.html#soundtypename" "sndlib2xen.c")
    (list "mus-hop" "clm.html#mus-hop" "clm2xen.c")
    (list "mus-increment" "clm.html#mus-increment" "clm2xen.c")
    (list "mus-input?" "clm.html#mus-input?" "clm2xen.c")
    (list "mus-ircam" "clm.html#mus-ircam" "sndlib2xen.c")
    (list "mus-length" "clm.html#mus-length" "clm2xen.c")
    (list "mus-location" "clm.html#mus-location" "clm2xen.c")
    (list "mus-mix" "grfsnd.html#musmix" "clm2xen.c")
    (list "mus-next" "extsnd.html#nextsoundfile" "sndlib2xen.c")
    (list "mus-offset" "clm.html#mus-offset" "clm2xen.c")
    (list "mus-open-read" "clm.html#mus-open-read" "ffi.lisp")
    (list "mus-open-write" "clm.html#mus-open-write" "ffi.lisp")
    (list "mus-order" "clm.html#mus-order" "clm2xen.c")
    (list "mus-out-format" "extsnd.html#musoutformat" "sndlib2xen.c")
    (list "mus-output?" "clm.html#mus-output?" "clm2xen.c")
    (list "mus-phase" "clm.html#mus-phase" "clm2xen.c")
    (list "mus-ramp" "clm.html#mus-ramp" "clm2xen.c")
    (list "mus-random" "clm.html#mus-random" "clm2xen.c")
    (list "mus-reopen-write" "clm.html#mus-reopen-write" "ffi.lisp")
    (list "mus-riff" "clm.html#mus-riff" "sndlib2xen.c")
    (list "mus-run" "clm.html#mus-run" "clm2xen.c")
    (list "mus-scaler" "clm.html#mus-scaler" "clm2xen.c")
    (list "mus-set-rand-seed" "clm.html#mus-set-rand-seed" "snd6.scm")
    (list "mus-set-raw-header-defaults" "clm.html#mus-set-raw-header-defaults" "ffi.lisp")
    (list "mus-sound-chans" "extsnd.html#soundchans" "sndlib2xen.c")
    (list "mus-sound-close-input" "extsnd.html#mussoundcloseinput" "sndlib2xen.c")
    (list "mus-sound-close-output" "extsnd.html#mussoundcloseoutput" "sndlib2xen.c")
    (list "mus-sound-comment" "extsnd.html#soundcomment" "sndlib2xen.c")
    (list "mus-sound-data-format" "extsnd.html#sounddataformat" "sndlib2xen.c")
    (list "mus-sound-data-location" "extsnd.html#sounddatalocation" "sndlib2xen.c")
    (list "mus-sound-duration" "extsnd.html#soundduration" "sndlib2xen.c")
    (list "mus-sound-forget" "extsnd.html#soundforget" "sndlib2xen.c")
    (list "mus-sound-frames" "extsnd.html#soundframes" "sndlib2xen.c")
    (list "mus-sound-header-type" "extsnd.html#soundheadertype" "sndlib2xen.c")
    (list "mus-sound-length" "extsnd.html#soundlength" "sndlib2xen.c")
    (list "mus-sound-loop-info" "extsnd.html#soundloopinfo" "sndlib2xen.c")
    (list "mus-sound-maxamp" "extsnd.html#mussoundmaxamp" "sndlib2xen.c")
    (list "mus-sound-maxamp-exists?" "extsnd.html#mussoundmaxampexists" "sndlib2xen.c")
    (list "mus-sound-open-input" "extsnd.html#mussoundopeninput" "sndlib2xen.c")
    (list "mus-sound-open-output" "extsnd.html#mussoundopenoutput" "sndlib2xen.c")
    (list "mus-sound-prune" "extsnd.html#soundprune" "sndlib2xen.c")
    (list "mus-sound-read" "extsnd.html#mussoundread" "sndlib2xen.c")
    (list "mus-sound-reopen-output" "extsnd.html#mussoundreopenoutput" "sndlib2xen.c")
    (list "mus-sound-report-cache" "extsnd.html#mussoundreportcache" "sndlib2xen.c")
    (list "mus-sound-samples" "extsnd.html#soundsamples" "sndlib2xen.c")
    (list "mus-sound-seek-frame" "extsnd.html#mussoundseekframe" "sndlib2xen.c")
    (list "mus-sound-srate" "extsnd.html#soundsrate" "sndlib2xen.c")
    (list "mus-sound-write" "extsnd.html#mussoundwrite" "sndlib2xen.c")
    (list "mus-sound-write-date" "extsnd.html#soundwritedate" "sndlib2xen.c")
    (list "mus-srate" "grfsnd.html#mussrate" "clm2xen.c")
    (list "mus-sun" "clm.html#mus-sun")
    (list "mus-width" "clm.html#mus-width" "clm2xen.c")
    (list "mus-xcoeffs" "clm.html#mus-xcoeffs" "clm2xen.c")
    (list "mus-ycoeffs" "clm.html#mus-ycoeffs" "clm2xen.c")
    (list "name-click-hook" "extsnd.html#nameclickhook" "snd-snd.c")
    (list "new-sound" "extsnd.html#sndnew" "snd-snd.c")
    (list "new-sound-hook" "extsnd.html#newsoundhook" "sndlib2xen.c")
    (list "new-widget-hook" "extsnd.html#newwidgethook" "snd-draw.c")
    (list "next-mix-sample" "extsnd.html#nextmixsample" "snd-mix.c")
    (list "next-sample" "extsnd.html#nextsample" "snd-edits.c")
    (list "next-track-sample" "extsnd.html#nexttracksample" "snd-mix.c")
    (list "normalize-envelope" "clm.html#normalize-envelope" "env.lisp")
    (list "normalized-mix" "sndscm.html#exnormalizedmix" "extensions.scm")
    (list "notch" "clm.html#notch" "clm2xen.c")
    (list "notch?" "clm.html#notch?" "clm2xen.c")
    (list "notehook" "clm.html#notehook")
    (list "one-pole" "clm.html#one-pole" "clm2xen.c")
    (list "one-pole?" "clm.html#one-pole?" "clm2xen.c")
    (list "one-zero" "clm.html#one-zero" "clm2xen.c")
    (list "one-zero?" "clm.html#one-zero?" "clm2xen.c")
    (list "open-file-dialog" "extsnd.html#sndopenfiledialog" "snd-file.c")
    (list "open-hook" "extsnd.html#openhook" "snd-file.c")
    (list "open-input" "clm.html#open-input" "sound.lisp")
    (list "open-input*" "clm.html#open-input*")
    (list "*open-input-pathname*" "clm.html#*open-input-pathname*")
    (list "*open-input-truename*" "clm.html#*open-input-truename*")
    (list "*open-input-verbose*" "clm.html#*open-input-verbose*")
    (list "open-output" "clm.html#open-output" "io.lisp")
    (list "open-raw-sound" "extsnd.html#sndrawopen" "snd-snd.c")
    (list "open-raw-sound-hook" "extsnd.html#openrawsoundhook" "snd-file.c")
    (list "open-sound" "extsnd.html#sndopen" "snd-snd.c")
    (list "open-sound-file" "extsnd.html#sndopensoundfile" "snd-xen.c")
    (list "optimization" "extsnd.html#optimization" "snd-run.c")
    (list "optimization-hook" "extsnd.html#optimizationhook" "snd-run.c")
    (list "optional-key" "clm.html#optional-key")
    (list "orientation-dialog" "extsnd.html#sndorientationdialog" "snd-xen.c")
    (list "orientation-hook" "extsnd.html#orientationhook")
    (list "oscil" "clm.html#oscil" "clm2xen.c")
    (list "oscil-bank" "clm.html#oscilbank" "clm2xen.c")
    (list "oscil?" "clm.html#oscil?" "clm2xen.c")
    (list "out-any" "clm.html#out-any" "clm2xen.c")
    (list "outa" "clm.html#outa" "clm2xen.c")
    (list "outb" "clm.html#outb" "clm2xen.c")
    (list "outc" "clm.html#outc" "clm2xen.c")
    (list "outd" "clm.html#outd" "clm2xen.c")
    (list "*output*" "clm.html#*output*")
    (list "output-comment-hook" "extsnd.html#outputcommenthook")
    (list "output-name-hook" "extsnd.html#outputnamehook" "snd-menu.c")
    (list "pad-channel" "extsnd.html#padchannel" "snd-sig.c")
    (list "pad-marks" "sndscm.html#padmarks" "marks.scm")
    (list "pan-mix" "sndscm.html#panmix" "mix.scm")
    (list "partials->polynomial" "clm.html#partials-&gt;polynomial" "clm2xen.c")
    (list "partials->wave" "clm.html#partials-&gt;wave" "clm2xen.c")
    (list "partials->waveshape" "clm.html#partials-&gt;waveshape" "clm2xen.c")
    (list "peak-env-info" "extsnd.html#peakenvinfo" "snd-snd.c")
    (list "peaks" "extsnd.html#sndpeaks" "snd-chn.c")
    (list "peaks-font" "extsnd.html#peaksfont" "snd-xen.c")
    (list "phase-partials->wave" "clm.html#phase-partials-&gt;wave" "clm2xen.c")
    (list "phase-vocoder" "clm.html#phase-vocoder" "clm2xen.c")
    (list "phase-vocoder?" "clm.html#phase-vocoder?" "clm2xen.c")
    (list "play" "extsnd.html#sndplay" "snd-dac.c")
    (list "play-and-wait" "extsnd.html#sndplayandwait" "snd-dac.c")
    (list "play-channel" "extsnd.html#playchannel" "snd-dac.c")
    (list "play-hook" "extsnd.html#playhook" "snd-dac.c")
    (list "play-mix" "extsnd.html#sndplaymix" "snd-mix.c")
    (list "play-region" "extsnd.html#sndplayregion" "snd-region.c")
    (list "play-selection" "extsnd.html#sndplayselection" "snd-dac.c")
    (list "play-syncd-marks" "sndscm.html#playsyncdmarks" "marks.scm")
    (list "play-track" "extsnd.html#sndplaytrack" "snd-mix.c")
    (list "player-home" "extsnd.html#playerhome" "snd-dac.c")
    (list "player?" "extsnd.html#playerQ" "snd-dac.c")
    (list "polar->rectangular" "clm.html#polar-&gt;rectangular" "clm2xen.c")
    (list "polynomial" "clm.html#polynomial" "clm2xen.c")
    (list "position->x" "extsnd.html#position2x" "snd-axis.c")
    (list "position->y" "extsnd.html#position2y" "snd-axis.c")
    (list "position-color" "extsnd.html#positioncolor" "snd-xen.c")
    (list "power-env" "sndscm.html#powerenv" "env.scm")
    (list "preload-directory" "extsnd.html#sndpreloaddirectory" "snd-file.c")
    (list "preload-file" "extsnd.html#sndpreloadfile" "snd-file.c")
    (list "previous-files-select-hook" "extsnd.html#previousfilesselecthook" "snd-file.c")
    (list "previous-files-sort" "extsnd.html#previousfilessort" "snd-file.c")
    (list "previous-files-sort-procedure" "extsnd.html#filessortproc" "snd-file.c")
    (list "previous-sample" "extsnd.html#previoussample" "snd-edits.c")
    (list "print-hook" "extsnd.html#printhook" "snd-xen.c")
    (list "print-length" "extsnd.html#printlength" "snd-xen.c")
    (list "progress-report" "extsnd.html#progressreport" "snd-snd.c")
    (list "prompt-in-minibuffer" "extsnd.html#sndpromptinminibuffer" "snd-kbd.c")
    (list "protect-region" "extsnd.html#sndprotectregion" "snd-region.c")
    (list "ptree-channel" "extsnd.html#ptreechannel" "snd-sig.c")
    (list "pulse-train" "clm.html#pulse-train" "clm2xen.c")
    (list "pulse-train?" "clm.html#pulse-train?" "clm2xen.c")
    (list "pushed-button-color" "extsnd.html#pushedbuttoncolor" "snd-xen.c")
    (list "radians->degrees" "clm.html#radians-&gt;degrees" "clm2xen.c")
    (list "radians->hz" "clm.html#radians-&gt;hz" "clm2xen.c")
    (list "ramp-channel" "extsnd.html#rampchannel" "snd-sig.c")
    (list "rand" "clm.html#rand" "clm2xen.c")
    (list "rand-interp" "clm.html#rand-interp" "clm2xen.c")
    (list "rand-interp?" "clm.html#rand-interp?" "clm2xen.c")
    (list "rand?" "clm.html#rand?" "clm2xen.c")
    (list "rc" "clm.html#rc")
    (list "*rc-directory*" "clm.html#*rc-directory*")
    (list "read-hook" "extsnd.html#readhook" "snd-listener.c")
    (list "read-mix-sample" "extsnd.html#readmixsample" "snd-mix.c")
    (list "read-only" "extsnd.html#sndreadonly" "snd-snd.c")
    (list "read-peak-env-info-file" "extsnd.html#readpeakenvinfofile" "snd-snd.c")
    (list "read-sample" "extsnd.html#readsample" "snd-edits.c")
    (list "read-track-sample" "extsnd.html#readtracksample" "snd-mix.c")
    (list "readin" "clm.html#readin" "clm2xen.c")
    (list "readin?" "clm.html#readin?" "clm2xen.c")
    (list "rec-any" "clm.html#rec-any" "io.lisp")
    (list "receive-snd" "clm.html#receive-snd" "clm-snd.lisp")
    (list "recolor-widget" "extsnd.html#recolorwidget" "snd-draw.c")
    (list "recorder-autoload" "extsnd.html#recorderautoload" "snd-rec.c")
    (list "recorder-buffer-size" "extsnd.html#recorderbuffersize" "snd-rec.c")
    (list "recorder-dialog" "extsnd.html#sndrecorderdialog" "snd-rec.c")
    (list "recorder-file" "extsnd.html#recorderfile" "snd-rec.c")
    (list "recorder-gain" "extsnd.html#sndrecordergain" "snd-rec.c")
    (list "recorder-in-amp" "extsnd.html#sndrecorderinamp" "snd-rec.c")
    (list "recorder-in-device" "extsnd.html#recorderindevice" "snd-rec.c")
    (list "recorder-in-format" "extsnd.html#recorderinformat" "snd-rec.c")
    (list "recorder-max-duration" "extsnd.html#recordermaxduration" "snd-rec.c")
    (list "recorder-out-amp" "extsnd.html#sndrecorderoutamp" "snd-rec.c")
    (list "recorder-out-chans" "extsnd.html#recorderoutchans" "snd-rec.c")
    (list "recorder-out-format" "extsnd.html#recorderoutformat" "snd-rec.c")
    (list "recorder-srate" "extsnd.html#recordersrate" "snd-rec.c")
    (list "recorder-trigger" "extsnd.html#recordertrigger" "snd-rec.c")
    (list "rectangular->polar" "clm.html#rectangular-&gt;polar" "clm2xen.c")
    (list "redo" "extsnd.html#sndredo" "snd-edits.c")
    (list "redo-channel" "extsnd.html#redochannel" "extensions.scm")
    (list "redo-channel" "sndscm.html#redochannel" "extensions.scm")
    (list "redo-edit" "extsnd.html#redoedit" "snd-edits.c")
    (list "region-chans" "extsnd.html#sndregionchans" "snd-region.c")
    (list "region-dialog" "extsnd.html#sndregiondialog" "snd-gregion.c")
    (list "region-frames" "extsnd.html#sndregionframes" "snd-region.c")
    (list "region-graph-style" "extsnd.html#sndregiongraphstyle" "snd-xen.c")
    (list "region-maxamp" "extsnd.html#sndregionmaxamp" "snd-region.c")
    (list "region-sample" "extsnd.html#sndregionsample" "snd-region.c")
    (list "region-samples->vct" "extsnd.html#sndregionsamples2vct" "snd-region.c")
    (list "region-srate" "extsnd.html#sndregionsrate" "snd-region.c")
    (list "region?" "extsnd.html#regionok" "snd-region.c")
    (list "regions" "extsnd.html#eregions" "snd-region.c")
    (list "remember-sound-state" "sndscm.html#exremembersoundstate" "extensions.scm")
    (list "remove-from-menu" "extsnd.html#sndremovefrommenu" "snd-menu.c")
    (list "reopen-output" "clm.html#reopen-output" "io.lisp")
    (list "report-in-minibuffer" "extsnd.html#sndreportinminibuffer" "snd-kbd.c")
    (list "reset-all-hooks" "sndscm.html#resetallhooks" "hooks.scm")
    (list "reset-controls" "extsnd.html#sndcontrolreset" "snd-snd.c")
    (list "reset-listener-cursor" "extsnd.html#resetlistenercursor" "snd-glistener.c")
    (list "restart-clm" "clm.html#restart-clm" "defins.lisp")
    (list "restart-env" "clm.html#restart-env" "clm2xen.c")
    (list "restore-controls" "extsnd.html#sndcontrolrestore" "snd-snd.c")
    (list "retempo-track" "sndscm.html#retempotrack" "mix.scm")
    (list "*reverb*" "clm.html#*reverb*")
    (list "reverb-control-decay" "extsnd.html#reverbdecay" "snd-snd.c")
    (list "reverb-control-feedback" "extsnd.html#sndreverbfeedback" "snd-snd.c")
    (list "reverb-control-length" "extsnd.html#sndreverblength" "snd-snd.c")
    (list "reverb-control-lowpass" "extsnd.html#sndreverblowpass" "snd-snd.c")
    (list "reverb-control-scale" "extsnd.html#sndreverbscale" "snd-snd.c")
    (list "reverb-control?" "extsnd.html#sndreverbing" "snd-snd.c")
    (list "reverse-channel" "extsnd.html#reversechannel" "snd-sig.c")
    (list "reverse-envelope" "sndscm.html#reverseenvelope" "env.scm")
    (list "reverse-selection" "extsnd.html#sndreverseselection" "snd-sig.c")
    (list "reverse-sound" "extsnd.html#sndreverse" "snd-sig.c")
    (list "reverse-track" "sndscm.html#reversetrack" "mix.scm")
    (list "revert-sound" "extsnd.html#sndrevert" "snd-snd.c")
    (list "right-sample" "extsnd.html#sndrightsample" "snd-chn.c")
    (list "ring-modulate" "clm.html#ring-modulate" "clm2xen.c")
    (list "rubber-sound" "sndscm.html#rubbersound" "rubber.scm")
    (list "run" "extsnd.html#sndrun")
    (list "run (clm)" "clm.html#run")
    (list "run*" "clm.html#run*")
    (list "sample" "extsnd.html#sndsample" "snd-edits.c")
    (list "sample->buffer" "clm.html#sample-&gt;buffer" "clm2xen.c")
    (list "sample->file" "clm.html#sample-&gt;file" "clm2xen.c")
    (list "sample->file?" "clm.html#sample-&gt;file?" "clm2xen.c")
    (list "sample->frame" "clm.html#sample-&gt;frame" "clm2xen.c")
    (list "sample-reader-at-end?" "extsnd.html#samplereaderatendQ" "snd-edits.c")
    (list "sample-reader-home" "extsnd.html#samplereaderhome" "snd-edits.c")
    (list "sample-reader-position" "extsnd.html#samplereaderposition" "snd-edits.c")
    (list "sample-reader?" "extsnd.html#samplereaderQ" "snd-edits.c")
    (list "samples" "extsnd.html#sndsamples" "snd-edits.c")
    (list "samples->sound-data" "extsnd.html#samples2sounddata" "snd-xen.c")
    (list "samples->vct" "extsnd.html#samples2vct" "snd-edits.c")
    (list "sash-color" "extsnd.html#sashcolor" "snd-xen.c")
    (list "save-controls" "extsnd.html#sndcontrolsave" "snd-snd.c")
    (list "save-dir" "extsnd.html#savedir" "snd-xen.c")
    (list "save-edit-history" "extsnd.html#sndsaveedithistory" "snd-edits.c")
    (list "save-envelopes" "extsnd.html#sndsaveenvelopes" "snd-env.c")
    (list "save-hook" "extsnd.html#savehook" "snd-edits.c")
    (list "save-listener" "extsnd.html#sndsavelistener" "snd-listener.c")
    (list "save-macros" "extsnd.html#sndsavemacros" "snd-kbd.c")
    (list "save-marks" "extsnd.html#sndsavemarks" "snd-marks.c")
    (list "save-options" "extsnd.html#sndsaveoptions" "snd-main.c")
    (list "save-region" "extsnd.html#sndsaveregion" "snd-region.c")
    (list "save-selection" "extsnd.html#sndsaveselection" "snd-select.c")
    (list "save-signal" "clm.html#save-signal" "io.lisp")
    (list "save-sound" "extsnd.html#sndsave" "snd-snd.c")
    (list "save-sound-as" "extsnd.html#sndsaveas" "snd-snd.c")
    (list "save-state" "extsnd.html#sndsavestate" "snd-main.c")
    (list "save-state-file" "extsnd.html#lsavestatefile" "snd-menu.c")
    (list "save-state-hook" "extsnd.html#savestatehook" "snd-edits.c")
    (list "save-track" "sndscm.html#savetrack" "mix.scm")
    (list "sawtooth-wave" "clm.html#sawtooth-wave" "clm2xen.c")
    (list "sawtooth-wave?" "clm.html#sawtooth-wave?" "clm2xen.c")
    (list "scale-by" "extsnd.html#sndscaleby" "snd-sig.c")
    (list "scale-channel" "extsnd.html#scalechannel" "snd-edits.c")
    (list "scale-envelope" "sndscm.html#scaleenvelope" "gtk-effects.scm")
    (list "scale-envelope (clm)" "clm.html#scale-envelope")
    (list "scale-selection-by" "extsnd.html#sndscaleselectionby" "snd-sig.c")
    (list "scale-selection-to" "extsnd.html#sndscaleselectionto" "snd-sig.c")
    (list "scale-sound-by" "extsnd.html#sndscalesoundby" "snd-edits.c")
    (list "scale-sound-to" "extsnd.html#sndscalesoundto" "snd-edits.c")
    (list "scale-to" "extsnd.html#sndscaleto" "snd-sig.c")
    (list "scan-chan" "extsnd.html#scanchan" "snd-sig.c")
    (list "scan-channel" "extsnd.html#scanchannel" "snd-sig.c")
    (list "script-arg" "extsnd.html#sndscriptarg" "snd-main.c")
    (list "script-args" "extsnd.html#sndscriptargs" "snd-main.c")
    (list "search-procedure" "extsnd.html#searchprocedure" "snd-find.c")
    (list "seconds->samples" "clm.html#seconds-&gt;samples" "bess1.scm")
    (list "select-all" "extsnd.html#sndselectall" "snd-select.c")
    (list "select-channel" "extsnd.html#sndselectchannel" "snd-snd.c")
    (list "select-channel-hook" "extsnd.html#selectchannelhook" "snd-data.c")
    (list "select-mix" "sndscm.html#sndselectmix" "snd6.scm")
    (list "select-mix-hook" "extsnd.html#selectmixhook" "snd-mix.c")
    (list "select-sound" "extsnd.html#sndselectsound" "snd-snd.c")
    (list "select-sound-hook" "extsnd.html#selectsoundhook" "snd-data.c")
    (list "selected-channel" "extsnd.html#sndselectedchannel" "snd-snd.c")
    (list "selected-data-color" "extsnd.html#selecteddatacolor" "snd-xen.c")
    (list "selected-graph-color" "extsnd.html#selectedgraphcolor" "snd-xen.c")
    (list "selected-mix" "extsnd.html#sndselectedmix" "snd-mix.c")
    (list "selected-mix-color" "extsnd.html#selectedmixcolor" "snd-mix.c")
    (list "selected-sound" "extsnd.html#sndselectedsound" "snd-snd.c")
    (list "selection-chans" "extsnd.html#selectionchans" "snd-select.c")
    (list "selection-color" "extsnd.html#selectioncolor" "snd-xen.c")
    (list "selection-context" "extsnd.html#selectioncontext" "snd-draw.c")
    (list "selection-creates-region" "extsnd.html#selectioncreatesregion" "snd-xen.c")
    (list "selection-frames" "extsnd.html#selectionframes" "snd-select.c")
    (list "selection-maxamp" "extsnd.html#sndselectionmaxamp" "snd-select.c")
    (list "selection-member?" "extsnd.html#selectionmember" "snd-select.c")
    (list "selection-members" "sndscm.html#exselectionmembers" "extensions.scm")
    (list "selection-position" "extsnd.html#selectionposition" "snd-select.c")
    (list "selection-srate" "extsnd.html#selectionsrate" "snd-select.c")
    (list "selection?" "extsnd.html#selectionok" "snd-select.c")
    (list "send-and-receive-snd" "clm.html#send-and-receive-snd" "clm-snd.lisp")
    (list "send-netscape" "extsnd.html#sendnetscape" "snd-gxutils.c")
    (list "send-snd" "clm.html#send-snd" "clm-snd.lisp")
    (list "set-samples" "extsnd.html#sndsetsamples")
    (list "short-file-name" "extsnd.html#shortfilename" "snd-snd.c")
    (list "show-axes" "extsnd.html#showaxes" "snd-chn.c")
    (list "show-backtrace" "extsnd.html#showbacktrace" "snd-xen.c")
    (list "show-controls" "extsnd.html#sndshowcontrols" "snd-snd.c")
    (list "show-indices" "extsnd.html#showindices" "snd-xen.c")
    (list "show-listener" "extsnd.html#sndshowlistener" "snd-listener.c")
    (list "show-marks" "extsnd.html#showmarks" "snd-chn.c")
    (list "show-mix-waveforms" "extsnd.html#showmixwaveforms" "snd-chn.c")
    (list "show-selection-transform" "extsnd.html#lshowselectiontransform" "snd-xen.c")
    (list "show-smpte-label" "sndscm.html#showsmptelabel" "snd-gtk.scm")
    (list "show-transform-peaks" "extsnd.html#showfftpeaks" "snd-chn.c")
    (list "show-widget" "extsnd.html#showwidget" "snd-draw.c")
    (list "show-y-zero" "extsnd.html#showyzero" "snd-chn.c")
    (list "sinc-width" "extsnd.html#sincwidth" "snd-sig.c")
    (list "sine-summation" "clm.html#sine-summation" "clm2xen.c")
    (list "sine-summation?" "clm.html#sine-summation?" "clm2xen.c")
    (list "sl-dac" "clm.html#sldac" "ffi.lisp")
    (list "smooth-channel" "extsnd.html#smoothchannel" "snd-sig.c")
    (list "smooth-selection" "extsnd.html#sndsmoothselection" "snd-sig.c")
    (list "smooth-sound" "extsnd.html#sndsmooth" "snd-sig.c")
    (list "snap-mark-to-beat" "sndscm.html#exsnapmarktobeat" "marks.scm")
    (list "snap-mix-to-beat" "sndscm.html#snapmixtobeat" "mix.scm")
    (list "snd-apropos" "extsnd.html#sndapropos")
    (list "snd-break" "sndscm.html#exsndbreak" "debug.scm")
    (list "snd-cleanup" "clm.html#snd-cleanup" "clm-snd.lisp")
    (list "snd-debug" "sndscm.html#exsnddebug")
    (list "snd-edit" "clm.html#snd-edit" "clm-snd.lisp")
    (list "snd-edit-sound" "clm.html#snd-edit-sound" "clm-snd.lisp")
    (list "snd-envelope" "clm.html#sndenv" "clm-snd.lisp")
    (list "snd-error" "extsnd.html#snderror" "snd-error.c")
    (list "snd-error-hook" "extsnd.html#snderrorhook" "snd-error.c")
    (list "snd-gcs" "extsnd.html#sndgcs" "snd-draw.c")
    (list "snd-help" "extsnd.html#sndhelp" "snd-help.c")
    (list "snd-memo" "clm.html#snd-memo" "io.lisp")
    (list "snd-print" "extsnd.html#sndprint" "snd-xen.c")
    (list "snd-region" "clm.html#snd-region" "clm-snd.lisp")
    (list "snd-remember-paths" "extsnd.html#sndrememberpaths")
    (list "snd-sound" "clm.html#snd-sound" "clm-snd.lisp")
    (list "snd-spectrum" "extsnd.html#sndspectrum" "snd-sig.c")
    (list "snd-tempnam" "extsnd.html#sndtempnam" "snd-xen.c")
    (list "snd-trace" "sndscm.html#exsndtrace" "debug.scm")
    (list "snd-version" "extsnd.html#sndversion" "snd-xen.c")
    (list "snd-warning" "extsnd.html#sndwarning" "snd-error.c")
    (list "snd-warning-hook" "extsnd.html#sndwarninghook" "snd-error.c")
    (list "sound-chans" "clm.html#sound-chans" "ffi.lisp")
    (list "sound-data->vct" "extsnd.html#sounddata2vct" "sndlib2xen.c")
    (list "sound-data-chans" "extsnd.html#sounddatachans" "sndlib2xen.c")
    (list "sound-data-format" "clm.html#sound-data-format" "ffi.lisp")
    (list "sound-data-length" "extsnd.html#sounddatalength" "sndlib2xen.c")
    (list "sound-data-location" "clm.html#sound-data-location" "ffi.lisp")
    (list "sound-data-maxamp" "extsnd.html#sounddatamaxamp" "sndlib2xen.c")
    (list "sound-data-ref" "extsnd.html#sounddataref" "sndlib2xen.c")
    (list "sound-data-set!" "extsnd.html#sounddataset" "sndlib2xen.c")
    (list "sound-data?" "extsnd.html#sounddata?" "sndlib2xen.c")
    (list "sound-datum-size" "clm.html#sound-datum-size" "ffi.lisp")
    (list "sound-duration" "clm.html#sound-duration" "ffi.lisp")
    (list "sound-files-in-directory" "extsnd.html#soundfilesindirectory" "snd-file.c")
    (list "sound-format-name" "clm.html#sound-format-name" "ffi.lisp")
    (list "sound-frames" "clm.html#sound-frames" "ffi.lisp")
    (list "sound-header-type" "clm.html#sound-header-type" "ffi.lisp")
    (list "sound-interp" "sndscm.html#exsoundinterp" "examp.scm")
    (list "sound-length" "clm.html#sound-length" "ffi.lisp")
    (list "sound-let" "clm.html#sound-let" "ws.scm")
    (list "sound-loop-info" "extsnd.html#sndsoundloopinfo" "snd-file.c")
    (list "sound-loop-info (clm)" "clm.html#sound-loop-info")
    (list "sound-maxamp" "clm.html#sound-maxamp" "ffi.lisp")
    (list "sound-properties" "extsnd.html#sndsoundproperties" "snd-snd.c")
    (list "sound-property" "sndscm.html#exsoundproperty" "autosave.scm")
    (list "sound-samples" "clm.html#sound-samples" "ffi.lisp")
    (list "sound-set-loop-info" "clm.html#sound-set-loop-info" "ffi.lisp")
    (list "sound-srate" "clm.html#sound-srate" "ffi.lisp")
    (list "sound-type-name" "clm.html#sound-type-name" "ffi.lisp")
    (list "sound-widgets" "extsnd.html#soundwidgets" "snd-gsnd.c")
    (list "sound?" "extsnd.html#sndok" "snd-snd.c")
    (list "soundfont-info" "extsnd.html#soundfontinfo" "snd-file.c")
    (list "sounds" "extsnd.html#sounds" "snd-xen.c")
    (list "spectro-cutoff" "extsnd.html#spectrocutoff" "snd-chn.c")
    (list "spectro-hop" "extsnd.html#spectrohop" "snd-chn.c")
    (list "spectro-start" "extsnd.html#spectrostart" "snd-chn.c")
    (list "spectro-x-angle" "extsnd.html#spectroxangle" "snd-chn.c")
    (list "spectro-x-scale" "extsnd.html#spectroxscale" "snd-chn.c")
    (list "spectro-y-angle" "extsnd.html#spectroyangle" "snd-chn.c")
    (list "spectro-y-scale" "extsnd.html#spectroyscale" "snd-chn.c")
    (list "spectro-z-angle" "extsnd.html#spectrozangle" "snd-chn.c")
    (list "spectro-z-scale" "extsnd.html#spectrozscale" "snd-chn.c")
    (list "spectrum" "clm.html#spectrum" "clm2xen.c")
    (list "speed-control" "extsnd.html#sndspeed" "snd-snd.c")
    (list "speed-control-style" "extsnd.html#lspeedstyle" "snd-snd.c")
    (list "speed-control-tones" "extsnd.html#speedtones" "snd-snd.c")
    (list "square-wave" "clm.html#square-wave" "clm2xen.c")
    (list "square-wave?" "clm.html#square-wave?" "clm2xen.c")
    (list "squelch-update" "extsnd.html#squelchupdate" "snd-chn.c")
    (list "srate" "extsnd.html#sndsrate" "snd-snd.c")
    (list "src" "clm.html#src" "clm2xen.c")
    (list "src-channel" "extsnd.html#srcchannel" "snd-sig.c")
    (list "src-selection" "extsnd.html#sndsrcselection" "snd-sig.c")
    (list "src-sound" "extsnd.html#sndsrc" "snd-sig.c")
    (list "src?" "clm.html#src?" "clm2xen.c")
    (list "start-hook" "extsnd.html#starthook" "snd-main.c")
    (list "start-playing" "extsnd.html#startplaying" "snd-dac.c")
    (list "start-playing-hook" "extsnd.html#startplayinghook" "snd-dac.c")
    (list "start-progress-report" "extsnd.html#startprogressreport" "snd-snd.c")
    (list "start-snd" "clm.html#start-snd" "clm-snd.lisp")
    (list "start-waterfall" "sndscm.html#startwaterfall" "snd-gl.scm")
    (list "stop-dac" "clm.html#stop-dac" "play.scm")
    (list "stop-dac-hook" "extsnd.html#stopdachook" "snd-dac.c")
    (list "stop-player" "extsnd.html#stopplayer" "snd-dac.c")
    (list "stop-playing" "extsnd.html#sndstop" "snd-dac.c")
    (list "stop-playing-channel-hook" "extsnd.html#stopplayingchannelhook" "snd-dac.c")
    (list "stop-playing-hook" "extsnd.html#stopplayinghook" "snd-dac.c")
    (list "stop-playing-region-hook" "extsnd.html#stopplayingregionhook" "snd-dac.c")
    (list "stop-playing-selection-hook" "extsnd.html#stopplayingselectionhook" "snd-dac.c")
    (list "stretch-envelope" "sndscm.html#stretchenvelope" "env.scm")
    (list "stretch-envelope (clm)" "clm.html#stretch-envelope")
    (list "sum-of-cosines" "clm.html#sum-of-cosines" "clm2xen.c")
    (list "sum-of-cosines?" "clm.html#sum-of-cosines?" "clm2xen.c")
    (list "sum-of-sines" "clm.html#sum-of-sines" "clm2xen.c")
    (list "superimpose-ffts" "sndscm.html#exsuperimposeffts" "examp.scm")
    (list "swap-channels" "extsnd.html#swapchannels" "snd-sig.c")
    (list "swap-selection-channels" "sndscm.html#exswapselectionchannels" "examp.scm")
    (list "sync" "extsnd.html#sndsyncing" "snd-snd.c")
    (list "sync-multichannel-mixes" "sndscm.html#syncmultichannelmixes" "mix.scm")
    (list "syncd-marks" "extsnd.html#syncdmarks" "snd-marks.c")
    (list "table-lookup" "clm.html#table-lookup" "clm2xen.c")
    (list "table-lookup?" "clm.html#table-lookup?" "clm2xen.c")
    (list "tap" "clm.html#tap" "clm2xen.c")
    (list "temp-dir" "extsnd.html#tempdir" "snd-xen.c")
    (list "text-focus-color" "extsnd.html#textfocuscolor" "snd-xen.c")
    (list "time-graph-style" "extsnd.html#timegraphstyle" "snd-chn.c")
    (list "time-graph-type" "extsnd.html#wavo" "snd-chn.c")
    (list "time-graph?" "extsnd.html#sndwaving" "snd-chn.c")
    (list "times->samples" "clm.html#times-&gt;samples" "ws.scm")
    (list "tiny-font" "extsnd.html#tinyfont" "snd-xen.c")
    (list "to-snd" "clm.html#to-snd" "clm-snd.lisp")
    (list "track" "sndscm.html#track" "mix.scm")
    (list "track->vct" "sndscm.html#track2vct" "mix.scm")
    (list "track-amp" "sndscm.html#trackamp" "mix.scm")
    (list "track-color" "sndscm.html#trackcolor" "mix.scm")
    (list "track-length" "sndscm.html#tracklength" "mix.scm")
    (list "track-position" "sndscm.html#trackposition" "mix.scm")
    (list "track-sample-reader?" "extsnd.html#tracksamplereaderQ" "snd-mix.c")
    (list "track-speed" "sndscm.html#trackspeed" "mix.scm")
    (list "transform-dialog" "extsnd.html#sndtransformdialog" "snd-xen.c")
    (list "transform-graph-style" "extsnd.html#transformgraphstyle" "snd-chn.c")
    (list "transform-graph-type" "extsnd.html#lfftstyle" "snd-chn.c")
    (list "transform-graph?" "extsnd.html#sndffting" "snd-chn.c")
    (list "transform-hook" "extsnd.html#ffthook" "snd-chn.c")
    (list "transform-normalization" "extsnd.html#normalizefft" "snd-chn.c")
    (list "transform-sample" "extsnd.html#sndtransformsample" "snd-fft.c")
    (list "transform-samples->vct" "extsnd.html#transformsamples2vct" "snd-fft.c")
    (list "transform-samples-size" "extsnd.html#transformgraphsize" "snd-fft.c")
    (list "transform-size" "extsnd.html#lfftsize" "snd-chn.c")
    (list "transform-type" "extsnd.html#ltransformtype" "snd-chn.c")
    (list "transpose-track" "sndscm.html#transposetrack" "mix.scm")
    (list "trap-segfault" "extsnd.html#trapsegfault" "snd-xen.c")
    (list "triangle-wave" "clm.html#triangle-wave" "clm2xen.c")
    (list "triangle-wave?" "clm.html#triangle-wave?" "clm2xen.c")
    (list "two-pi" "clm.html#two-pi" "maraca.scm")
    (list "two-pole" "clm.html#two-pole" "clm2xen.c")
    (list "two-pole?" "clm.html#two-pole?" "clm2xen.c")
    (list "two-zero" "clm.html#two-zero" "clm2xen.c")
    (list "two-zero?" "clm.html#two-zero?" "clm2xen.c")
    (list "unbind-key" "extsnd.html#sndunbindkey" "snd-kbd.c")
    (list "undo" "extsnd.html#sndundo" "snd-edits.c")
    (list "undo-channel" "extsnd.html#undochannel" "extensions.scm")
    (list "undo-channel" "sndscm.html#undochannel" "extensions.scm")
    (list "undo-edit" "extsnd.html#undoedit")
    (list "undo-hook" "extsnd.html#undohook" "snd-chn.c")
    (list "update-hook" "extsnd.html#updatehook" "snd-file.c")
    (list "update-lisp-graph" "extsnd.html#sndupdatelispgraph" "snd-chn.c")
    (list "update-sound" "extsnd.html#sndupdate" "snd-snd.c")
    (list "update-time-graph" "extsnd.html#sndupdategraph" "snd-chn.c")
    (list "update-transform-graph" "extsnd.html#sndupdatefft" "snd-chn.c")
    (list "variable-display" "sndscm.html#variabledisplay" "snd-gtk.scm")
    (list "vct" "extsnd.html#sndvct" "vct.c")
    (list "vct->channel" "extsnd.html#vct2channel" "snd-edits.c")
    (list "vct->list" "extsnd.html#vct2list" "vct.c")
    (list "vct->samples" "extsnd.html#vct2samples" "snd-edits.c")
    (list "vct->sound-data" "extsnd.html#vct2sounddata" "sndlib2xen.c")
    (list "vct->sound-file" "extsnd.html#vct2soundfile" "snd-xen.c")
    (list "vct->vector" "extsnd.html#sndvct2vector" "vct.c")
    (list "vct-add!" "extsnd.html#vctadd" "vct.c")
    (list "vct-convolve!" "extsnd.html#vctconvolve" "snd-sig.c")
    (list "vct-copy" "extsnd.html#vctcopy" "vct.c")
    (list "vct-fill!" "extsnd.html#vctfill" "vct.c")
    (list "vct-length" "extsnd.html#vctlength" "vct.c")
    (list "vct-map" "extsnd.html#vctmap1" "snd-run.c")
    (list "vct-map!" "extsnd.html#vctmap" "vct.c")
    (list "vct-move!" "extsnd.html#vctmove" "vct.c")
    (list "vct-multiply!" "extsnd.html#vctmultiply" "vct.c")
    (list "vct-offset!" "extsnd.html#vctoffset" "vct.c")
    (list "vct-peak" "extsnd.html#vctpeak" "vct.c")
    (list "vct-ref" "extsnd.html#vctref" "vct.c")
    (list "vct-scale!" "extsnd.html#vctscale" "vct.c")
    (list "vct-set!" "extsnd.html#vctset" "vct.c")
    (list "vct-subseq" "extsnd.html#vctsubseq" "vct.c")
    (list "vct-subtract!" "extsnd.html#vctsubtract" "vct.c")
    (list "vct?" "extsnd.html#vctp" "vct.c")
    (list "vector->vct" "extsnd.html#sndvector2vct" "vct.c")
    (list "verbose-cursor" "extsnd.html#verbosecursor" "snd-chn.c")
    (list "view-sound" "extsnd.html#sndview" "snd-snd.c")
    (list "voiced->unvoiced" "sndscm.html#exvoiced2unvoiced" "examp.scm")
    (list "volume" "clm.html#volume" "sound.lisp")
    (list "vu-font" "extsnd.html#vufont" "snd-rec.c")
    (list "vu-font-size" "extsnd.html#vufontsize" "snd-rec.c")
    (list "vu-size" "extsnd.html#vusize" "snd-rec.c")
    (list "wave-train" "clm.html#wave-train" "clm2xen.c")
    (list "wave-train?" "clm.html#wave-train?" "clm2xen.c")
    (list "wavelet-type" "extsnd.html#wavelettype" "snd-chn.c")
    (list "waveshape" "clm.html#waveshape" "clm2xen.c")
    (list "waveshape?" "clm.html#waveshape?" "clm2xen.c")
    (list "wavo-hop" "extsnd.html#wavohop" "snd-chn.c")
    (list "wavo-trace" "extsnd.html#wavotrace" "snd-chn.c")
    (list "widget-position" "extsnd.html#widgetposition" "snd-draw.c")
    (list "widget-size" "extsnd.html#widgetsize" "snd-draw.c")
    (list "window-envelope" "sndscm.html#windowenvelope" "env.scm")
    (list "window-envelope (clm)" "clm.html#window-envelope")
    (list "window-height" "extsnd.html#windowheight" "snd-xen.c")
    (list "window-property-changed-hook" "extsnd.html#windowpropertychangedhook" "snd-gmain.c")
    (list "window-samples" "sndscm.html#exwindowsamples" "examp.scm")
    (list "window-width" "extsnd.html#windowwidth" "snd-xen.c")
    (list "window-x" "extsnd.html#windowx" "snd-xen.c")
    (list "window-y" "extsnd.html#windowy" "snd-xen.c")
    (list "with-background-processes" "extsnd.html#withbackgroundprocesses" "snd-xen.c")
    (list "with-dac" "clm.html#with-dac" "rt.lisp")
    (list "with-gl" "extsnd.html#withgl" "snd-xen.c")
    (list "with-local-hook" "sndscm.html#withlocalhook" "hooks.scm")
    (list "with-mix" "clm.html#with-mix" "sound.lisp")
    (list "with-mix-tags" "extsnd.html#withmixtags" "snd-mix.c")
    (list "with-offset" "clm.html#with-offset" "sound.lisp")
    (list "with-psound" "clm.html#with-psound" "rt.lisp")
    (list "with-relative-panes" "extsnd.html#withrelativepanes" "snd-xen.c")
    (list "with-sound" "clm.html#with-sound" "ws.scm")
    (list "write-peak-env-info-file" "extsnd.html#writepeakenvinfofile" "snd-snd.c")
    (list "x->position" "extsnd.html#x2position" "snd-axis.c")
    (list "x-axis-label" "extsnd.html#xaxislabel" "snd-axis.c")
    (list "x-axis-style" "extsnd.html#xaxisstyle" "snd-chn.c")
    (list "x-bounds" "extsnd.html#sndxbounds" "snd-chn.c")
    (list "x-position-slider" "extsnd.html#xpositionslider" "snd-chn.c")
    (list "x-zoom-slider" "extsnd.html#xzoomslider" "snd-chn.c")
    (list "xen-channel" "extsnd.html#xenchannel")
    (list "xramp-channel" "extsnd.html#xrampchannel" "snd-sig.c")
    (list "y->position" "extsnd.html#y2position" "snd-axis.c")
    (list "y-bounds" "extsnd.html#sndybounds" "snd-chn.c")
    (list "y-position-slider" "extsnd.html#ypositionslider" "snd-chn.c")
    (list "y-zoom-slider" "extsnd.html#yzoomslider" "snd-chn.c")
    (list "yes-or-no?" "extsnd.html#sndyesornop" "snd-xen.c")
    (list "zero-pad" "extsnd.html#zeropad" "snd-chn.c")
    (list "zip-sound" "sndscm.html#zipsound" "zip.scm")
    (list "zipper" "sndscm.html#zipper" "zip.scm")
    (list "zoom-color" "extsnd.html#zoomcolor" "snd-xen.c")
    (list "zoom-focus-style" "extsnd.html#zoomfocusstyle" "snd-xen.c")
  ))

